import request from '@/utils/request'

/**
 * 查询历史数据 API
 */

const HistoryDataApi = {
  chart: '/history-data/chart',
  saveData: '/history-data/saveData',
  chartAll: '/history-data/chartAll',
}

export function historyChartData(parameter) {
  return request({
    url: HistoryDataApi.chart,
    method: 'get',
    params: parameter
  })
}

export function findSaveData(parameter) {
  return request({
    url: HistoryDataApi.saveData,
    method: 'get',
    params: parameter
  })
}

export function historyChartAllData(parameter) {
  return request({
    url: HistoryDataApi.chartAll,
    method: 'get',
    params: parameter
  })
}
